/**********************************************************************/
/* MQTERM:  Terminate MQ Instrumentation:                             */
/* -- Deregister components                                           */
/* -- Cleanup global variables                                        */
/* -- Cancel heartbeat timer                                          */
/**********************************************************************/

'GLOBALV GETC MQ_COMP_LIST.0'            /* Get count of ComponentIds */

If datatype(MQ_COMP_LIST.0, "W") Then
  Do I = 1 to MQ_COMP_LIST.0
   /*******************************************************************/
   /* Deregister component                                            */
   /*******************************************************************/
   'GLOBALV GETC MQ_COMP_LIST.' || I
    ret_code = GEMDEREG(MQ_COMP_LIST.I)

    /******************************************************************/
    /* Cleanup ComponentId global variable.                           */
    /******************************************************************/
    MQ_COMP_LIST.I = ''
   'GLOBALV PUTC MQ_COMP_LIST.' || I
  End                                    /* Do I                      */

/**********************************************************************/
/* Cleanup globals and purge timer                                    */
/**********************************************************************/
MQ_COMP_LIST.0 = ''
'GLOBALV PUTC MQ_COMP_LIST.0'

MQ_HB_INTERVAL = ''
'GLOBALV PUTC MQ_HB_INTERVAL'

'PURGE TIMER=MQHB,OP=AUTOAMI'            /* Cancel heartbeat timer    */

Exit 0